;/*  -------------------------------------------------------------------------------------------------------------------------------
; *                                                            NETWORK
; *
; * Parameters and key codes related to netplay
; *
; */ -------------------------------------------------------------------------------------------------------------------------------
[Network]

;/*
; * The name which will be displayed in netplay and in the file name of saved replays.
; * The maximum length is 20 characters, supports unicode
; *
Name                 = EfzPlayer

;/*
; * The maximum number of rollback frames you are willing to accept. This cannot be changed while playing.
; * Higher values allow for lower input delay, but the rollbacks become more apparent.  
; */
MaxRollback          = 4

;/*
; *  The port used for netplay, if you want to host you will need to open it.
; */
Port                 = 10800

;/*
; * Can take on the values IPv4 or IPv6. 
; * IPv6 only works if your OS and ISP support it, and you will only be able to accept other IPv6 connections.
; * On the plus side, IPv6 does not require port forwarding.
; * IPv4 host format: 67.19.123.181:10800
; * IPv6 host format: [2001:5ab:6f5:1d8:48a:c9cc:8a9a:6aff]:10800  
; */
Protocol             = IPv4

;/*
; * Allow the use of the training keys F4 and F5 during netplay to practice.
; * The keys only work if both client and host have this set to 1 
; */
AllowPracticeKeys    = 0

;/*
; * Key codes to increase and decrease the input delay during matches.
; * Higher input delay leads to less rollbacks, but makes things harder to react to, and combos harder to hit.
; * The current input delay is displayed during matches at the bottom left.
; * Note that there is a minimum input delay depending on ping and MaxRollback, you cannot set it lower than that minimum during a match.
; */
IncreaseInputDelay   = DIK_ADD
DecreaseInputDelay   = DIK_SUBTRACT

;/*
; * Only has an effect for spectators.
; * Increases or decreases the speed of the spectator when catching up to the players.
; * The number of the match currently being shown is displayed on the lower right.
; * It is recommended to set the Spectator speed to 1 once you have caught up with the players for smoother spectating.
; */
IncreaseSpecSpeed    = DIK_ADD
DecreaseSpecSpeed    = DIK_SUBTRACT

;/*
; * Key code to toggle whether the remote player's palette is shown or not.
; * If the remote palettes are ignored, the default ones will be shown instead.
; */
ToggleRemotePalettes = DIK_SPACE

;/*
; * Display the current number of wins for both players.
; */
DisplayScore         = 1

;/*
; * Force the saving of all replays.
; * Replays will be saved to the folder indicated by ReplayFolder.
; * If the folder does not exist then it will not be created, and the replays will not be saved.
; */
SaveAllReplays       = 1
ReplayFolder         = replay/netplay/

;/*
; * Key code to force save the replay of the previous match.
; * If SaveAllReplays = 0, then you can still save the previous match by pressing this key.
; * Only has an effect if pressed during char select or victory screen.
; */
SavePreviousReplay   = DIK_S




;/* -------------------------------------------------------------------------------------------------------------------------------
; *                                                          LOCAL PLAY
; *
; * Key codes for the EFZ Revival local play keys.
; * Select VS PLAYER in EFZ proper for access to all features.
; * Selecting PRACTICE in EFZ proper prevents the record/replay features from working
; * All the keys work in match.
; *
; */-------------------------------------------------------------------------------------------------------------------------------
[Practice]

;/*
; * Pause the game. 
; */
Pause                = DIK_SPACE

;/*
; * Advance the game by one frame.
; * A counter is provided to keep track of the number of frames stepped this way.
; */
StepFrame            = DIK_P

;/*
; * Save and Load the match state.
; */
Save                 = DIK_G
Load                 = DIK_B

;/*
; * Record and Replay features.
; * Only work if VS PLAYER is selected.
; * Behavior of pressing ToggleRecord and ToggleReplay depends on the current Start Condition.
; * The Start Condition is changed with SwitchStartCondition, see EfzRevival_Readme.txt under VS PLAYER for details.
; */
ToggleRecord         = DIK_H
ToggleReplay         = DIK_N
SwitchStartCondition = DIK_LCONTROL

;/*
; * Only works if VS PLAYER is selected.
; * You can record macros to 5 different buffers set with the SetBufferX keys below.
; * By default ToggleReplay uses the current buffer, ToggleReplayRandom allows you to replay a random buffer instead.
; */
SetBuffer1           = DIK_1
SetBuffer2           = DIK_2
SetBuffer3           = DIK_3
SetBuffer4           = DIK_4
SetBuffer5           = DIK_5
ToggleReplayRandom   = DIK_0

;/*
; * Toggle the GUI 
; */
ToggleDisplay        = DIK_RETURN

;/*
; * Switch the player/dummy around.
; * Only works if VS PLAYER is selected.
; * Player is always P1 and dummy P2 by default.
; */
SwitchPlayers        = DIK_NUMPAD0

;/*
; * Change the game speed in 16FPS intervals.
; */
IncreaseFPS          = DIK_INSERT
DecreaseFPS          = DIK_DELETE
ResetFPS             = DIK_END




;/* -------------------------------------------------------------------------------------------------------------------------------
; *                                                            GLOBAL
; *
; * Parameters that control global settings.
; * These have an effect even if EFZ.exe is launched without EfzRevival.exe.
; *
; */-------------------------------------------------------------------------------------------------------------------------------
[Global]

;/*
; * Start X and Y positions of the window, as well as the window Height and Width.
; */
WindowX              = 10
WindowY              = 10
WindowWidth          = 640
WindowHeight         = 480

;/*
; * Default backbuffer width and height.
; */
BackBufferWidth      = 1280
BackBufferHeight     = 960

;/*
; * Mute all the game's BGMs.
; */
MuteBGM              = 0

;/*
; * Set EFZ to use SW rendering.
; * Change to 1 if you get graphical glitches.
; */
SoftwareRendering    = 0

;/*
; * Set Debug Mode
; * This creates 3 logs, logDdrawtxt, logEfz.txt and logNet.txt
; * In case of a bug, set Debug = 1, reproduce the bug and send the 3 logs to EfzRevival@gmail.com
; */
Debug                = 0




;/* -------------------------------------------------------------------------------------------------------------------------------
; *                                                   APPENDIX: SCAN KEY CODES
; */-------------------------------------------------------------------------------------------------------------------------------

;/*
; * Pad buttons take the form BUTTON_1 up to BUTTON_32 on the pad used by player 1.
; * See the game controller settings in the windows control panel for the button numbers.
; */

;/*
; * Keyboard Scan Key Reference.
; */
;DIK_ESCAPE
;DIK_1
;DIK_2
;DIK_3
;DIK_4
;DIK_5
;DIK_6
;DIK_7
;DIK_8
;DIK_9
;DIK_0
;DIK_MINUS          /* - on main keyboard */
;DIK_EQUALS
;DIK_BACK           /* backspace */
;DIK_TAB
;DIK_Q
;DIK_W
;DIK_E
;DIK_R
;DIK_T
;DIK_Y
;DIK_U
;DIK_I
;DIK_O
;DIK_P
;DIK_LBRACKET
;DIK_RBRACKET
;DIK_RETURN         /* Enter on main keyboard */
;DIK_LCONTROL
;DIK_A
;DIK_S
;DIK_D
;DIK_F
;DIK_G
;DIK_H
;DIK_J
;DIK_K
;DIK_L
;DIK_SEMICOLON
;DIK_APOSTROPHE
;DIK_GRAVE          /* accent grave */
;DIK_LSHIFT
;DIK_BACKSLASH
;DIK_Z
;DIK_X
;DIK_C
;DIK_V
;DIK_B
;DIK_N
;DIK_M
;DIK_COMMA
;DIK_PERIOD         /* . on main keyboard */
;DIK_SLASH          /* / on main keyboard */
;DIK_RSHIFT
;DIK_MULTIPLY       /* * on numeric keypad */
;DIK_LMENU          /* left Alt */
;DIK_SPACE
;DIK_CAPITAL
;DIK_F1
;DIK_F2
;DIK_F3
;DIK_F4
;DIK_F5
;DIK_F6
;DIK_F7
;DIK_F8
;DIK_F9
;DIK_F10
;DIK_NUMLOCK
;DIK_SCROLL         /* Scroll Lock */
;DIK_NUMPAD7
;DIK_NUMPAD8
;DIK_NUMPAD9
;DIK_SUBTRACT       /* - on numeric keypad */
;DIK_NUMPAD4
;DIK_NUMPAD5
;DIK_NUMPAD6
;DIK_ADD            /* + on numeric keypad */
;DIK_NUMPAD1
;DIK_NUMPAD2
;DIK_NUMPAD3
;DIK_NUMPAD0
;DIK_DECIMAL        /* . on numeric keypad */
;DIK_OEM_102        /* <> or \| on RT 102-key keyboard (Non-U.S.) */
;DIK_F11
;DIK_F12
;DIK_F13            /* (NEC PC98) */
;DIK_F14            /* (NEC PC98) */
;DIK_F15            /* (NEC PC98) */
;DIK_KANA           /* (Japanese keyboard) */
;DIK_ABNT_C1        /* /? on Brazilian keyboard */
;DIK_CONVERT        /* (Japanese keyboard) */
;DIK_NOCONVERT      /* (Japanese keyboard) */
;DIK_YEN            /* (Japanese keyboard) */
;DIK_ABNT_C2        /* Numpad . on Brazilian keyboard */
;DIK_NUMPADEQUALS   /* = on numeric keypad (NEC PC98) */
;DIK_PREVTRACK      /* Previous Track (DIK_CIRCUMFLEX on Japanese keyboard) */
;DIK_AT             /* (NEC PC98) */
;DIK_COLON          /* (NEC PC98) */
;DIK_UNDERLINE      /* (NEC PC98) */
;DIK_KANJI          /* (Japanese keyboard) */
;DIK_STOP           /* (NEC PC98) */
;DIK_AX             /* (Japan AX) */
;DIK_UNLABELED      /* (J3100) */
;DIK_NEXTTRACK      /* Next Track */
;DIK_NUMPADENTER    /* Enter on numeric keypad */
;DIK_RCONTROL
;DIK_MUTE           /* Mute */
;DIK_CALCULATOR     /* Calculator */
;DIK_PLAYPAUSE      /* Play / Pause */
;DIK_MEDIASTOP      /* Media Stop */
;DIK_VOLUMEDOWN     /* Volume - */
;DIK_VOLUMEUP       /* Volume + */
;DIK_WEBHOME        /* Web home */
;DIK_NUMPADCOMMA    /* , on numeric keypad (NEC PC98) */
;DIK_DIVIDE         /* / on numeric keypad */
;DIK_SYSRQ
;DIK_RMENU          /* right Alt */
;DIK_PAUSE          /* Pause */
;DIK_HOME           /* Home on arrow keypad */
;DIK_UP             /* UpArrow on arrow keypad */
;DIK_PRIOR          /* PgUp on arrow keypad */
;DIK_LEFT           /* LeftArrow on arrow keypad */
;DIK_RIGHT          /* RightArrow on arrow keypad */
;DIK_END            /* End on arrow keypad */
;DIK_DOWN           /* DownArrow on arrow keypad */
;DIK_NEXT           /* PgDn on arrow keypad */
;DIK_INSERT         /* Insert on arrow keypad */
;DIK_DELETE         /* Delete on arrow keypad */
;DIK_LWIN           /* Left Windows key */
;DIK_RWIN           /* Right Windows key */
;DIK_APPS           /* AppMenu key */
;DIK_POWER          /* System Power */
;DIK_SLEEP          /* System Sleep */
;DIK_WAKE           /* System Wake */
;DIK_WEBSEARCH      /* Web Search */
;DIK_WEBFAVORITES   /* Web Favorites */
;DIK_WEBREFRESH     /* Web Refresh */
;DIK_WEBSTOP        /* Web Stop */
;DIK_WEBFORWARD     /* Web Forward */
;DIK_WEBBACK        /* Web Back */
;DIK_MYCOMPUTER     /* My Computer */
;DIK_MAIL           /* Mail */
;DIK_MEDIASELECT    /* Media Select */
;/*
; *  Alternate names for keys, to facilitate transition from DOS.
; */
;DIK_BACK            /* backspace */
;DIK_MULTIPLY        /* * on numeric keypad */
;DIK_LMENU           /* left Alt */
;DIK_CAPITAL         /* CapsLock */
;DIK_SUBTRACT        /* - on numeric keypad */
;DIK_ADD             /* + on numeric keypad */
;DIK_DECIMAL         /* . on numeric keypad */
;DIK_DIVIDE          /* / on numeric keypad */
;DIK_RMENU           /* right Alt */
;DIK_UP              /* UpArrow on arrow keypad */
;DIK_PRIOR           /* PgUp on arrow keypad */
;DIK_LEFT            /* LeftArrow on arrow keypad */
;DIK_RIGHT           /* RightArrow on arrow keypad */
;DIK_DOWN            /* DownArrow on arrow keypad */
;DIK_NEXT            /* PgDn on arrow keypad */
;/*
; * Names for keys originally not used on US keyboards.
; */
;DIK_PREVTRACK       /* Japanese keyboard */
